Uploaded image for project: 'JBoss A-MQ'
  1. JBoss A-MQ
  2. ENTMQ-1447

Unable to apply patch to JBoss AM-Q 6.2.0 SSH-containers

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: JBoss A-MQ 6.2.1
    • Fix Version/s: JBoss A-MQ 6.3
    • Component/s: fabric8
    • Labels:
      None
    • Steps to Reproduce:
      Hide

      1. Unzip AMQ, update /etc/user.properties
      2. fabric:create
      3. fabric:container-create-ssh --user fuse --password fuse --host ${ssh_host_ip} ssh1
      4. from second machine, with SSH containers:
      scp fabric8-karaf-1.2.0.redhat-133.zip ${user}@${root_host_ip}:${AMQ_home}/system/io/fabric8/fabric8-karaf/1.2.0.redhat-133/fabric8-karaf-1.2.0.redhat-133-custom.zip
      5. unzip patch-management-for-amq-620-6.2.1.redhat-083.zip -d jboss-a-mq-6.2.0.redhat-133
      6. version-create 1.0.1
      7. profile-edit --repository mvn:io.fabric8.patch/patch-features/1.2.0.redhat-621083/xml/features default 1.0.1
      8. profile-edit --feature patch --feature patch-core default 1.0.1
      9. container-upgrade 1.0.1 root
      10. patch:add file:${patch_dir}/jboss-a-mq-6.2.1.redhat-083.zip
      11. version-create 1.1
      12. patch:fabric-install --upload --username admin --password admin --version 1.1 jboss-a-mq-6.2.1.redhat-083
      13. container-upgrade 1.1 root
      14. full restart of root container
      15. container-upgrade 1.1 ssh1
      16. the error should occur

      Show
      1. Unzip AMQ, update /etc/user.properties 2. fabric:create 3. fabric:container-create-ssh --user fuse --password fuse --host ${ssh_host_ip} ssh1 4. from second machine, with SSH containers: scp fabric8-karaf-1.2.0.redhat-133.zip ${user}@${root_host_ip}:${AMQ_home}/system/io/fabric8/fabric8-karaf/1.2.0.redhat-133/fabric8-karaf-1.2.0.redhat-133-custom.zip 5. unzip patch-management-for-amq-620-6.2.1.redhat-083.zip -d jboss-a-mq-6.2.0.redhat-133 6. version-create 1.0.1 7. profile-edit --repository mvn:io.fabric8.patch/patch-features/1.2.0.redhat-621083/xml/features default 1.0.1 8. profile-edit --feature patch --feature patch-core default 1.0.1 9. container-upgrade 1.0.1 root 10. patch:add file:$ {patch_dir}/jboss-a-mq-6.2.1.redhat-083.zip 11. version-create 1.1 12. patch:fabric-install --upload --username admin --password admin --version 1.1 jboss-a-mq-6.2.1.redhat-083 13. container-upgrade 1.1 root 14. full restart of root container 15. container-upgrade 1.1 ssh1 16. the error should occur
    • Sprint:
      Sprint 5 - towards ER2

      Description

      I'm unable to patch A-MQ fabric SSH-containers. There is an error in the container-info ssh1 output :

      Provision Status:              error - io.fabric8.patch.management.PatchException: Invalid ref name: baseline-ssh-fabric8-1.2.0.redhat-621083

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                grgrzybek Grzegorz Grzybek
                Reporter:
                tplevko Tomas Plevko
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: